{% load static %}

{% load bootstrap4 %}

<!DOCTYPE html>
<html lang="en"> 
<head>
    	<title>DevBlog</title>
    <!-- Meta -->
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Blog Template">
    <meta name="author" content="Xiaoying Riley at 3rd Wave Media">    
    <link rel="shortcut icon" href="favicon.ico"> 
    
    <!-- FontAwesome JS-->
    <script defer src="https://use.fontawesome.com/releases/v5.7.1/js/all.js" integrity="sha384-eVEQC9zshBn0rFj4+TU78eNA19HMNigMviK/PU/FFjLXqa/GKPgX58rvt5Z8PLs7" crossorigin="anonymous"></script>
    
    <!-- Theme CSS -->  
    <link id="theme-style" rel="stylesheet" href="{% static 'devblog/css/theme-1.css' %}">

</head> 

<body>
	
	<!-- lateral navbar -->  

    <header class="header text-center">	    
	    <h1 class="blog-name pt-lg-4 mb-0"><a href="{% url 'devblog:index' %}">DevBlog</a></h1>
        
	    <nav class="navbar navbar-expand-lg navbar-dark" >
           
			<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navigation" aria-controls="navigation" aria-expanded="false" aria-label="Toggle navigation">
			<span class="navbar-toggler-icon"></span>
			</button>

			<div id="navigation" class="collapse navbar-collapse flex-column" >
				<div class="profile-section pt-3 pt-lg-0">
				    <img class="profile-image mb-3 rounded-circle mx-auto" src="{% static 'devblog/images/profile.jpeg' %}" alt="image" >			
					
					<div class="bio mb-3">Olá meu nome é vithor e vou lhe introduzir ao meu blog de T.I.<br><a href="{% url 'devblog:about' %}">Saiba mais sobre mim</a></div><!--//bio-->
					<ul class="social-list list-inline py-3 mx-auto">
			            <li class="list-inline-item"><a href="#"><i class="fab fa-twitter fa-fw"></i></a></li>
			            <li class="list-inline-item"><a href="#"><i class="fab fa-linkedin-in fa-fw"></i></a></li>
			            <li class="list-inline-item"><a href="#"><i class="fab fa-github-alt fa-fw"></i></a></li>
			            <li class="list-inline-item"><a href="#"><i class="fab fa-stack-overflow fa-fw"></i></a></li>
			            <li class="list-inline-item"><a href="#"><i class="fab fa-codepen fa-fw"></i></a></li>
					</ul>
					<!--//social-list-->
			        <hr> 
				</div>
				<!--//profile-section-->
				
				<ul class="navbar-nav flex-column text-left">
					<li class="nav-item active">
					    <a class="nav-link" href="#"><i class="fas fa-home fa-fw mr-2"></i>Home do Blog <span class="sr-only">(current)</span></a>
					</li>
					<li class="nav-item">
					    <a class="nav-link" href="{% url 'devblog:about' %}"><i class="fas fa-user fa-fw mr-2"></i>Sobre mim</a>
					</li>
				</ul>
			</div>
		</nav>
	</header>

	<!-- end of lateral navbar --> 

	
			<!--//container-->
    <div class="main-wrapper">
	    <section class="cta-section theme-bg-light py-5">
		    <div class="container text-center">
			    <h2 class="heading">DevBlog - Um Blog pensado e feito para desenvolvedores</h2>
			    <div class="intro">Bem vindo ao meu blog.</div>
			    <form class="signup-form form-inline justify-content-center pt-3">
                    <div class="form-group">
                        <label class="sr-only" for="semail">Seu E-mail</label>
                        <input type="email" id="semail" name="semail1" class="form-control mr-md-1 semail" placeholder="Digite seu E-mail">
                    </div>
                    <button type="submit" class="btn btn-primary">Inscreva-se</button>
                </form>
			</div>

		<!-- blog post -->
		</section>
			<section class="blog-list px-3 py-5 p-md-5">

				{% for post in posts %}
				
				<div class="container">
					<div class="item mb-5">
						<div class="media">
							<img class="mr-3 img-fluid post-thumb d-none d-md-flex" src="{% static '/devblog/assets/images/pythoncode.jpeg' %}" alt="image">
							<div class="media-body">
								<h3 class="title mb-1"><a href="#">{{ post.title }}</a></h3>
								<div class="meta mb-1"><span class="date">{{post.published_date}}</span></div>
								<div class="intro">{{ post.text|slice:"200" }}</div>
								<a class="more-link" href="{% url 'devblog:posts' post.id %}">Leia mais &rarr;</a>
							</div><!--//media-body-->
						</div><!--//media-->		
					
				</div><!--//item-->
				<!-- end blog post -->

				{% endfor %}

	    </section>
	    
	    <footer class="footer text-center py-2 theme-bg-dark">
		   
                <small class="copyright">Design com <i class="fas fa-heart" style="color: #fb866a;"></i> por <a href="#" target="_blank">vithor varela</a> para desenvolvedores</small>
		   
	    </footer>
    
    </div><!--//main-wrapper-->
    
    
    
    
    <!-- *****CONFIGURE STYLE (REMOVE ON YOUR PRODUCTION SITE)****** -->  
    <div id="config-panel" class="config-panel d-none d-lg-block">
        <div class="panel-inner">
            <a id="config-trigger" class="config-trigger config-panel-hide text-center" href="#"><i class="fas fa-cog fa-spin mx-auto" data-fa-transform="down-6" ></i></a>
            <h5 class="panel-title">Escolha a cor</h5>
            <ul id="color-options" class="list-inline mb-0">
                <li class="theme-1 active list-inline-item"><a data-style="{% static 'devblog/css/theme-1.css' %}" href="#"></a></li>
                <li class="theme-2  list-inline-item"><a data-style="{% static 'devblog/css/theme-2.css' %}" href="#"></a></li>
                <li class="theme-3  list-inline-item"><a data-style="{% static 'devblog/css/theme-3.css' %}" href="#"></a></li>
                <li class="theme-4  list-inline-item"><a data-style="{% static 'devblog/css/theme-4.css' %}" href="#"></a></li>
                <li class="theme-5  list-inline-item"><a data-style="{% static 'devblog/css/theme-5.css' %}" href="#"></a></li>
                <li class="theme-6  list-inline-item"><a data-style="{% static 'devblog/css/theme-6.css' %}" href="#"></a></li>
                <li class="theme-7  list-inline-item"><a data-style="{% static 'devblog/css/theme-7.css' %}" href="#"></a></li>
                <li class="theme-8  list-inline-item"><a data-style="{% static 'devblog/css/theme-8.css' %}" href="#"></a></li>
            </ul>
            <a id="config-close" class="close" href="#"><i class="fa fa-times-circle"></i></a>
        </div><!--//panel-inner-->
    </div><!--//configure-panel-->

    
       
    <!-- Javascript -->          
    <script src="{% static 'devblog/plugins/jquery-3.3.1.min.js' %}"></script>
    <script src="{% static 'devblog/plugins/popper.min.js' %}"></script> 
    <script src="{% static 'devblog/plugins/bootstrap/js/bootstrap.min.js' %}"></script> 

    <!-- Style Switcher (REMOVE ON YOUR PRODUCTION SITE) -->
    <script src="{% static 'devblog/js/demo/style-switcher.js' %}"></script>     
    

</body>
</html> 

